package persistance;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class EntityManagerProvider {

    private static final EntityManagerProvider instance = new EntityManagerProvider();
    private EntityManagerFactory emf;

    private EntityManagerProvider() {
        emf = Persistence.createEntityManagerFactory("backend");
    }

    public static EntityManagerProvider getInstance() {
        return instance;
    }

    public EntityManager getEntityManager() {
        return emf.createEntityManager();
    }

    public void close() {
        if (emf != null && emf.isOpen()) {
            emf.close();
        }
    }

}
